%define oname recordMyDesktop
%define qtoname qt-%{oname}

Summary:	Qt4 frontend for recordmydesktop
Name:		qt-recordmydesktop
Version:	0.3.8
Release:	%mkrel 6
License:	GPLv2+
Group:		Video/Utilities
URL:		http://recordmydesktop.sourceforge.net
Source0:	http://downloads.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.bz2
BuildRequires:	desktop-file-utils 
BuildRequires:	imagemagick
BuildRequires:	python-qt4
BuildRequires:	qt4-devel >= 4:4.2
BuildRequires:	python-devel
Requires:	recordmydesktop >= %{version}
Requires:	python-qt4-gui
Requires:	python-sip

%description
Qt4 frontend for recordmydesktop tool.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#(tpg) drop icon extension
sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
	--add-category='Video;Qt' \
	--add-only-show-in='KDE' \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,scalable}/apps
convert src/%{name}.png -scale 16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert src/%{name}.png -scale 32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert src/%{name}.png -scale 48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 644 src/%{name}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -m 644 src/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%find_lang %{qtoname}

%files -f %{qtoname}.lang
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/qt_%{oname}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.*g
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3.8-6.mga3
+ Revision: 379928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.3.8-5.mga3
+ Revision: 326289
- update RPM group

  + mikala <mikala>
    - Remove clean & %%defattr()

* Sat Mar 05 2011 ahmad <ahmad> 0.3.8-3.mga1
+ Revision: 65125
- imported package qt-recordmydesktop

